Omówienie narzędzia do wdrażania w sieci Web dla programu Menedżer usług IIS

Narzędzie do wdrażania w sieci Web synchronizuje konfigurację usług IIS, zawartość, certyfikaty SSL i inne typy danych, które znajdują się w określonej przez użytkownika witrynie lub na określonym przez użytkownika serwerze, z określoną przez użytkownika lokalizacją docelową. Można także wdrażać obiekty, takie jak klucze rejestru, które nie są uwzględnione domyślnie.

Delegowanie usługi zarządzania

W programie IIS Manager narzędzie do wdrażania w sieci Web dodaje przeznaczoną tylko dla administratorów funkcję na poziomie serwera o nazwie Delegowanie usługi zarządzania, która umożliwia określenie z wysokim współczynnikiem dokładności, jakie akcje wdrażania mogą wykonywać użytkownicy zdalni. Aby uzyskać więcej informacji, zobacz Strona Delegowanie usługi zarządzania.

Eksportowanie i importowanie aplikacji

W okienku Akcje programu IIS Manager można użyć Kreatora eksportu pakietu aplikacji w celu utworzenia skompresowanych plików (pakietów) zawierających witryny, aplikacje i zawartość. Aby uzyskać więcej informacji, zobacz Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny.

Po wyeksportowaniu pakietu można użyć Kreatora importu pakietu aplikacji, aby zainstalować zawartość pakietu w innej lokalizacji. Aby uzyskać więcej informacji, zobacz Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny.

Funkcje wiersza polecenia

Program wykonywalny narzędzia do wdrażania w sieci Web (Msdeploy.exe) oferuje wiele wydajnych funkcji wiersza polecenia. Aby uzyskać sumaryczną Pomoc dotyczącą funkcji programu Msdeploy.exe, wpisz polecenie msdeploy -help w oknie wiersza polecenia. Aby uzyskać bardziej szczegółową Pomoc w trybie online, zobacz Narzędzie do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).

Dodatkowe zasoby w trybie online

Witryna IIS.NET: Narzędzie do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim)

Witryna IIS.NET: Forum poświęcone narzędziu do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim)

Witryna IIS.NET: Wpisy w blogu zespołu Microsoft Web Deployment (strona może zostać wyświetlona w języku angielskim)


Pomoc dotycząca interfejsu użytkownika narzędzia do wdrażania w sieci Web

Program IIS Manager udostępnia opisy wszystkich elementów interfejsu użytkownika ze wszystkich stron funkcji, okien dialogowych oraz stron kreatora dostępnych w programie IIS Manager. Aby wyświetlić tę Pomoc, należy nacisnąć klawisz F1 na aktywnej stronie funkcji, w aktywnym oknie dialogowym lub na aktywnej stronie kreatora.

Tematy w tej sekcji

Strona Delegowanie usługi zarządzania

Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny

Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny


Strona Delegowanie usługi zarządzania

Strona Delegowanie usługi zarządzania służy do określania reguł sterujących prawami wdrażania użytkownika zdalnego. Strony Delegowanie usługi zarządzania mogą używać tylko administratorzy i jest ona wyświetlana tylko na poziomie serwera.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Dostawca | Wyświetla dostawcę lub dostawców, których dotyczy reguła.
Ścieżka | Wyświetla ścieżkę, której dotyczy reguła.
Typ ścieżki | Wyświetla typ ścieżki. Dozwolone wartości to PathPrefix, StringPrefix, StringSuffix, ConnectionString i RegularExpression.
Akcje | Wyświetla akcje, które będą wykonywane przez regułę. W przypadku dostawców narzędzia do wdrażania w sieci Web typowe wartości to Odczyt, Zapis i *.
Typ tożsamości | Wyświetla typ tożsamości, w ramach której będzie działać reguła. Dozwolone wartości to CurrentUser, ProcessIdentity i SpecificUser.
Nazwa użytkownika | Wyświetla nazwę użytkownika, gdy zostanie wybrany typ tożsamości SpecificUser. Gdy typem tożsamości jest CurrentUser lub ProcessIdentity, nie będzie wyświetlana nazwa użytkownika.
Stan | Wskazuje, czy reguła jest włączona, czy wyłączona. Regułę można włączyć lub wyłączyć, klikając przycisk Włącz regułę lub Wyłącz regułę w okienku Akcje.

Elementy okienka Akcje

Nazwa elementu | Opis
Dodaj regułę... | Otwiera okno dialogowe Dodawanie reguły. Wybranie tej opcji umożliwia dodanie reguły. Aby uzyskać więcej informacji, zobacz Okno dialogowe Dodawanie reguły (Delegowanie usługi zarządzania).
Dodaj użytkownika do reguły... | Otwiera okno dialogowe Dodawanie użytkownika do reguły. Aby uzyskać więcej informacji, zobacz Okno dialogowe Dodawanie użytkownika do reguły.
Edytuj... | Otwiera okno dialogowe Edytowanie reguły. Aby uzyskać więcej informacji, zobacz Okna dialogowe Dodawanie reguły i Edytowanie reguły.
Usuń | Usuwa wybraną regułę delegowania lub użytkownika reguły delegowania.
Wyłącz regułę | Wyłącza wybraną regułę delegowania.
Włącz regułę | Włącza wybraną regułę delegowania.
Edytuj ustawienia funkcji... | Otwiera okno dialogowe Edytowanie ustawień funkcji. Aby uzyskać więcej informacji, zobacz Okno dialogowe Edytowanie ustawień funkcji (Delegowanie usługi zarządzania).


Okno dialogowe Dodawanie reguły (Delegowanie usługi zarządzania)

Okno dialogowe Wybieranie szablonu reguły służy do wybierania szablonu, za pomocą którego można utworzyć niestandardową regułę delegowania. Można wybrać pusty szablon albo zainstalowany szablon przeznaczony do użycia w określonych scenariuszach.

Elementy interfejsu użytkownika

Zainstalowane szablony

Nazwa elementu Opis

Pusta reguła

Tworzy pustą regułę, którą można dostosować.

Wdróż tylko zawartość

Tworzy regułę umożliwiającą wdrożenie zawartości. Ta reguła umożliwi każdemu autoryzowanemu użytkownikowi usługi zarządzania siecią Web (WMSvc) publikowanie zawartości w ścieżce, do której dany użytkownik ma już autoryzację usługi WMSvc. Regułę można edytować w celu ograniczenia dostępu do określonej ścieżki lub użytkownika. W tej regule jest używany dostawca contentPath, który synchronizuje zawartość sieci Web. Aby uzyskać więcej informacji, zobacz Dostawca contentPath narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).

Wdróż aplikacje z zawartością

Tworzy regułę umożliwiającą wdrażanie aplikacji. Ten szablon nie obejmuje reguły oznaczania folderu jako aplikacji, ale często jest używany w połączeniu z taką regułą. Ta reguła umożliwi każdemu autoryzowanemu użytkownikowi usługi WMSvc publikowanie aplikacji w ścieżce, do której dany użytkownik ma już autoryzację usługi WMSvc. Regułę można edytować w celu ograniczenia dostępu do określonej ścieżki lub użytkownika. W tej regule są używani dostawcy contentPath i iisApp. Aby uzyskać więcej informacji, zobacz Dostawca contentPath narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim) i Dostawca iisApp narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).

Wdróż bazy danych

Tworzy regułę umożliwiającą wdrażanie baz danych. Ta reguła umożliwi każdemu autoryzowanemu użytkownikowi usługi WMSvc publikowanie dowolnej bazy danych, do której dany użytkownik ma dostęp. Szablon określa, że jest używane konto CurrentUser, co oznacza, że w celu uwierzytelnienia użytkownika na serwerze bazy danych będzie używany ciąg połączenia. Regułę można edytować w celu ograniczenia dostępu do określonego serwera bazy danych lub nazwy. W tej regule jest używany dostawca dbFullSql, który umożliwia pierwsze publikowanie baz danych z lokalnej projektowej bazy danych programu SQL Server w obsługiwanej zdalnie bazie danych programu SQL Server. Aby uzyskać więcej informacji, zobacz Dostawca dbFullSql narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).

Oznacz foldery jako aplikacje

Tworzy regułę oznaczającą folder jako aplikację. Ta reguła umożliwi każdemu autoryzowanemu użytkownikowi usługi WMSvc oznaczenie folderu jako aplikacji. Jeśli użytkownik nie jest administratorem, konieczna będzie zmiana typu tożsamości na konto, które ma dostęp do pliku ApplicationHost.config z prawem do zapisu. Domyślny typ tożsamości dla tej reguły to SpecificUser. W tej regule jest używany dostawca createApp, który jest wymagany do oznaczania folderów jako aplikacji i którego funkcje wchodzą w skład dostawcy iisApp. Aby uzyskać więcej informacji, zobacz Dostawcy narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).

Ustaw uprawnienia dla aplikacji

Tworzy regułę ustawiającą listy ACL dla ścieżki aplikacji. Ta reguła umożliwi każdemu autoryzowanemu użytkownikowi usługi WMSvc ustawianie list ACL systemu plików dla ścieżki, do której dany użytkownik ma już autoryzację usługi WMSvc. Szablon określa, że jest używane konto CurrentUser, co oznacza, że użytkownik musi mieć odpowiednie uprawnienia, aby mógł zmieniać listy ACL. Regułę można edytować w celu ograniczenia dostępu do określonej ścieżki lub użytkownika. W tej regule jest używany dostawca setAcl, który ustawia uprawnienia w folderze docelowym. Aby uzyskać więcej informacji, zobacz Dostawca setAcl narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim). .

Wykonaj kopie zapasowe i przywróć bazy danych (używając uwierzytelniania SQL)

Tworzy regułę wykonującą kopie zapasowe baz danych i przywracającą je przy użyciu uwierzytelniania SQL. Ta reguła umożliwi każdemu autoryzowanemu użytkownikowi usługi WMSvc wykonywanie kopii zapasowej lub przywracanie bazy danych, do której dany użytkownik ma już dostęp. Operacje wykonywania kopii zapasowej i przywracania będą wykonywane przez określoną tożsamość użytkownika przy użyciu uwierzytelniania SQL. Regułę można edytować w celu ograniczenia dostępu do określonej bazy danych i określonego zestawu użytkowników.

Uwaga

Tego szablonu należy używać z rozszerzeniem menedżera baz danych usług IIS. Aby uzyskać więcej informacji dotyczących menedżera baz danych usług IIS, zobacz Menedżer baz danych (strona może zostać wyświetlona w języku angielskim).

Wykonaj kopie zapasowe i przywróć bazy danych (używając zintegrowanych zabezpieczeń systemu Windows)

Tworzy regułę wykonującą kopie zapasowe baz danych i przywracającą je przy użyciu uwierzytelniania systemu Windows. Ta reguła umożliwi każdemu autoryzowanemu użytkownikowi usługi WMSvc wykonywanie kopii zapasowej lub przywracanie bazy danych, do której dany użytkownik ma już dostęp. Regułę można edytować w celu ograniczenia dostępu do określonej bazy danych i określonego zestawu użytkowników.

Uwaga

Tego szablonu należy używać z rozszerzeniem menedżera baz danych usług IIS. Aby uzyskać więcej informacji dotyczących menedżera baz danych usług IIS, zobacz Menedżer baz danych (strona może zostać wyświetlona w języku angielskim).

Zobacz też

  • Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny
  • Dostawcy narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim)


Okna dialogowe Dodawanie reguły i Edytowanie reguły

Okna dialogowe Dodawanie reguły i Edytowanie reguły służą do dodawania i edytowania reguł delegowania.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Dostawcy | Kliknięcie listy rozwijanej umożliwia zaznaczenie lub wyczyszczenie dostawców, którzy mają zostać dodani do reguły lub z niej usunięci. Następnie należy kliknąć strzałkę w dół, aby zaakceptować zmiany. Dostawcy zostaną wyświetleni na liście z wartościami rozdzielonymi przecinkami. Aby uzyskać więcej informacji dotyczących dostawców narzędzia do wdrażania w sieci Web, zobacz Dostawcy narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).
Akcje | Kliknięcie listy rozwijanej umożliwia zaznaczenie lub wyczyszczenie akcji, które mają zostać dodane do reguły lub z niej usunięte. Następnie należy kliknąć strzałkę w dół, aby zaakceptować zmiany. Akcje zostaną wyświetlone na liście z wartościami rozdzielonymi przecinkami. Typowe wartości dla narzędzia do wdrażania w sieci Web to Odczyt, Zapis i *.
Typ ścieżki | Umożliwia wybranie typu ścieżki z listy rozwijanej. Dozwolone wartości to PathPrefix, StringPrefix, StringSuffix, ConnectionString i RegularExpression. Aby uzyskać więcej informacji dotyczących wyrażeń regularnych, zobacz Wyrażenia regularne (strona może zostać wyświetlona w języku angielskim).
Ścieżka | Umożliwia wpisanie ścieżki, do której będzie stosowana reguła.
Typ tożsamości | Umożliwia wybranie z listy rozwijanej typu tożsamości dla reguły. Wybrana tożsamość będzie wykonywać regułę. Dozwolone wartości to CurrentUser, ProcessIdentity i SpecificUser. Wartość CurrentUser określa, że będzie używana tożsamość bieżącego użytkownika. Wartość ProcessIdentity określa, że będzie używana tożsamość lokalnej usługi WMSvc. Wartość SpecificUser określa, że będzie używana wyznaczona przez użytkownika tożsamość specjalna. Po wybraniu wartości SpecificUser należy określić poświadczenia, używając przycisku Ustaw w obszarze Określ poświadczenia.
Określ poświadczenia | Włącza przycisk Ustaw po wybraniu typu tożsamości SpecificUser.
Ustaw | Otwiera okno dialogowe Ustawianie poświadczeń, które umożliwia określenie nazwy użytkownika i hasła dla tożsamości SpecificUser. Aby uzyskać więcej informacji, zobacz Okno dialogowe Ustawianie poświadczeń.


Okno dialogowe Ustawianie poświadczeń

Okno dialogowe Ustawianie poświadczeń służy do konfigurowania nazwy użytkownika i hasła dla użytkownika systemu Windows, który będzie wykonywał regułę.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Nazwa użytkownika | Umożliwia wpisanie nazwy użytkownika systemu Windows.
Hasło | Umożliwia wpisanie hasła.
Potwierdź hasło | Umożliwia ponowne wpisanie hasła w celu potwierdzenia.

Zobacz też

  • Okna dialogowe Dodawanie reguły i Edytowanie reguły


Okno dialogowe Dodawanie użytkownika do reguły

Okno dialogowe Dodawanie użytkownika do reguły służy do zezwalania użytkownikowi na dostęp do reguły lub odmawiania dostępu do niej.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Nazwa | Umożliwia wpisanie nazwy użytkownika.
Typ dostępu | Umożliwia wybranie typu dostępu, który zostanie udzielony określonemu użytkownikowi. Dozwolone wartości to Zezwalaj i Odmów.
Czy jest rolą? | To pole wyboru należy zaznaczyć, jeśli określona nazwa użytkownika jest aliasem grupy użytkowników, którym zostanie udzielony lub odmówiony dostęp.


Okno dialogowe Edytowanie ustawień funkcji (Delegowanie usługi zarządzania)

Okno dialogowe Edytowanie ustawień funkcji umożliwia administratorom obchodzenie reguł delegowania i włączanie rejestrowania niepomyślnych żądań.

Elementy interfejsu użytkownika

Nazwa elementu Opis

Zezwalaj administratorom na obchodzenie reguł

Wybranie tej opcji umożliwi administratorom obchodzenie określonych reguł delegowania.

Włącz dzienniki śledzenia niepomyślnych żądań dla usługi delegowania

Wybranie tej opcji umożliwia włączenie rejestrowania informacji dotyczących niepomyślnych żądań.

Ostrzeżenie

Aby można było używać tej funkcji, musi być zainstalowany moduł śledzenia niepomyślnych żądań.


Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny

Strona Wybieranie zawartości pakietu

Strona Wybieranie parametrów

Strona Zapisywanie pakietu

Okno dialogowe Hasło szyfrowania

Strona Postęp i podsumowanie eksportu


Strona Wybieranie zawartości pakietu

Strona Wybieranie zawartości pakietu w Kreatorze eksportu pakietu aplikacji służy do wyświetlania składników wchodzących w skład pakietu, który ma zostać utworzony.

Pakiety mogą zawierać składniki, takie jak ustawienia rejestru, obiekty modelu COM, zestawy GAC lub certyfikaty. Aby zainstalować te składniki na serwerze, użytkownik musi być członkiem grupy administratorów lub delegatem z odpowiednimi uprawnieniami. Do instalowania samej zawartości nie są wymagane prawa administratora.

Elementy interfejsu użytkownika

Nazwa elementu Opis

Zawartość pakietu

Wyświetla listę składników znajdujących się w pakiecie. Można określić, które składniki pakietu mają zostać umieszczone w pakiecie, zaznaczając lub czyszcząc pola wyboru obok odpowiednich składników. Na przykład można uwzględnić lub wykluczyć bazę danych SQL albo zestaw GAC, zaznaczając lub czyszcząc odpowiednie pole wyboru.

Przestroga

Niektóre składniki mogą być wymagane przez aplikację. Wyczyszczenie pól wyboru odpowiadających tym składnikom może spowodować, że zainstalowana aplikacja nie będzie działać poprawnie.

Atrybuty

Wyświetla w prawym okienku atrybuty wybranego pliku, katalogu lub składnika. Są to wartości tylko do odczytu.

Zarządzaj składnikami…

Otwiera okno dialogowe Zarządzanie składnikami. W tym oknie można wybrać składniki, które zostaną umieszczone w pakiecie. Aby uzyskać więcej informacji, zobacz Okno dialogowe Zarządzanie składnikami.

Ustawienia zaawansowane...

Otwiera okno dialogowe Ustawienia zaawansowane. W tym oknie można określić ustawienia i reguły operacji. Aby uzyskać więcej informacji, zobacz Okno dialogowe Ustawienia zaawansowane (Eksport).

Zobacz też

  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny
  • Eksportowanie pakietu za pomocą Menedżera usług IIS (zasób w trybie online) (strona może zostać wyświetlona w języku angielskim)


Okno dialogowe Zarządzanie składnikami

Okno dialogowe Zarządzenie składnikami dostępne w Kreatorze eksportu pakietu aplikacji służy do dodawania składników, takich jak obiekty modelu COM i zestawy GAC, do pakietu.

Elementy interfejsu użytkownika

Nagłówki kolumn

Nazwa elementu Opis

Nazwa dostawcy

Określa składnik, który ma zostać dodany do pakietu. Każdy składnik ma dostawcę. Kliknięcie pola umożliwia użycie listy rozwijanej w celu wybrania nazwy dostawcy. Umieszczenie kursora na nazwie dostawcy powoduje wyświetlenie jego opisu. Na przykład wybranie dostawcy dbFullSql spowoduje umieszczenie w pakiecie ścieżki skryptu lub ciągu połączenia. Aby uzyskać więcej informacji dotyczących dostawców, zobacz Dostawcy narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).

Ważne

W przypadku umieszczania w pakiecie witryny sieci Web dostawca iisApp (wybrany domyślnie) oznaczy witrynę sieci Web jako aplikację w lokalizacji docelowej. Aby umieścić w pakiecie witrynę sieci Web oraz całą powiązaną z nią konfigurację (na przykład nazwę puli aplikacji, lokalizację katalogu zawartości i dowolne certyfikaty), należy użyć dostawcy appHostConfig. Użycie dostawcy iisApp spowoduje, że witryna sieci Web stanie się w lokalizacji docelowej aplikacją, która odziedziczy wszystkie ustawienia (takie jak nazwa puli aplikacji i katalog zawartości) z witryny, w której jest zainstalowana.

Ścieżka

Określa ścieżkę składnika, który będzie dostarczał dane dla pakietu. Na przykład po wybraniu dostawcy dbFullSql ścieżka może określać skrypt, taki jak C:\SQLfiles\installSQL.sql, lub ciąg połączenia, taki jak Data Source=.\sqlexpress;Integrated Security=SSPI;Initial Catalog=db1.

Ustawienia dostawcy

Określa ustawienia dostawcy, które będą używane dla wybranego dostawcy. Kliknięcie pola umożliwia użycie przycisku przeglądania (…) w celu otwarcia okna dialogowego Ustawienia dostawcy. Aby uzyskać więcej informacji, zobacz Okno dialogowe Ustawienia dostawcy.

Przyciski

Nazwa elementu | Opis
Usuń | Usuwa zaznaczony wpis.
Przenieś w górę | Przenosi zaznaczony wiersz w górę na liście. Wpisy będą instalowane w kolejności, w jakiej występują na liście. Kolejność wpisów jest ważna w przypadku niektórych dostawców. Na przykład skrypt służący do tworzenia tabeli należy uruchomić przed skryptem służącym do wypełniania tabeli.
Przenieś w dół | Przenosi zaznaczony wiersz w dół na liście. Wpisy będą instalowane w kolejności, w jakiej występują na liście.

Zobacz też

  • Strona Wybieranie zawartości pakietu
  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny


Okno dialogowe Ustawienia dostawcy

Okno dialogowe Ustawienia dostawcy służy do określania ustawień wybranego dostawcy. Nie wszyscy dostawcy mają ustawienia.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Nazwa ustawienia | Wyświetla nazwę ustawienia wybranego dostawcy. Wyświetlane są tylko ustawienia odpowiednie dla wybranego dostawcy.
Wartość ustawienia | Umożliwia wpisanie lub wybranie wartości ustawienia. Jeśli jest dostępna lista rozwijana, znajdują się na niej dozwolone wartości danego ustawienia. W przypadku wartości, które należy wpisać, w polu opisu znajdują się informacje dotyczące akceptowanych wartości.
Opis ustawienia | Wyświetla opis wybranego ustawienia dostawcy. Wyświetla informacje wskazujące, jakie wartości są dozwolone dla danego ustawienia.

Zobacz też

  • Okno dialogowe Zarządzanie składnikami
  • Strona Wybieranie zawartości pakietu
  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny
  • Ustawienia dostawcy narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim)


Okno dialogowe Ustawienia zaawansowane (Eksport)

Okno dialogowe Ustawienia zaawansowane w Kreatorze eksportu pakietu aplikacji służy do określania ustawień pakietu.

Elementy interfejsu użytkownika

Opcje zaawansowane

Nazwa elementu Opis

Hasło szyfrowania

Kliknięcie wielokropka umożliwia otwarcie okna dialogowego Hasło szyfrowania w celu określenia alfanumerycznego hasła, które będzie służyć do kontrolowania dostępu do zabezpieczonych właściwości w konfiguracji usług IIS.

Narzędzie do wdrażania w sieci Web automatycznie wykrywa, czy zaszyfrowany obiekt, taki jak pula aplikacji z tożsamością niestandardową, znajduje się w plikach konfiguracji na poziomie serwera (na przykład ApplicationHost.config lub Machine.config). Jeśli występuje zaszyfrowany obiekt, należy podać hasło dla tego obiektu. Gdy użytkownik nie określi poprawnego hasła, operacja eksportu nie powiedzie się.

Ważne

Narzędzie do wdrażania w sieci Web nie wyszukuje zaszyfrowanych obiektów w plikach Web.config.

Uwzględnij listy ACL

Należy wybrać opcję Prawda, jeśli listy ACL określonej ścieżki zostaną skopiowane z lokalizacji źródłowej do docelowej; w przeciwnym razie należy wybrać wartość Fałsz. To ustawienie dotyczy systemu plików, rejestru i metabazy oraz następujących dostawców: appHostConfig, contentPath, iisApp, metaKey, webServer i webServer60. Wartość domyślna to Fałsz.

Rozszerzenie łącza

Należy kliknąć pole z prawej strony, a następnie strzałkę, aby wyświetlić listę rozwijaną z rozszerzeniami łączy. Zaznaczenie lub wyczyszczenie rozszerzeń na liście umożliwia włączenie lub wyłączenie rozszerzeń łączy, które mają być stosowane do operacji. Rozszerzenia łączy powodują uwzględnienie w operacji lub wykluczenie z niej określonych rodzajów danych. Dostępne rozszerzenia narzędzia do wdrażania w sieci Web to AppPoolExtension, CertificateExtension, ContentExtension, FrameworkConfigExtension i HttpCertConfigExtension. Te rozszerzenia są zaznaczone domyślnie. Aby uzyskać więcej informacji dotyczących rozszerzeń łączy, zobacz Rozszerzenia łączy narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).

Liczba ponownych prób

Umożliwia wpisanie liczby ponownych prób podejmowanych przez dostawcę w przypadku niepowodzenia. Domyślna liczba ponownych prób to 5. Domyślnie każda ponowna próba jest podejmowana po upływie jednej sekundy. Ustawienia liczby ponownych prób można używać tylko z dostawcą contentPath.

Interwał ponownych prób

Umożliwia wpisanie wartości w milisekundach. Ta wartość będzie określać interwał czasu między ponownymi próbami podejmowanymi przez dostawcę. Wartość domyślna to 1000 (jedna sekunda). Tego ustawienia można używać tylko z dostawcą contentPath.

Poziom śledzenia

Umożliwia wybranie wartości z listy rozwijanej, która określa poziom szczegółowości dzienników komunikatów o błędach. Dozwolone wartości to Wyłączone, Błąd, Ostrzeżenie, Informacje i Pełne. Wartość domyślna to Informacje. Wartość Wyłączone oznacza, że nie będą rejestrowane komunikaty o błędach. Wartość Pełne oznacza, że będą rejestrowane wszystkie komunikaty.

Opcje synchronizacji

Nazwa elementu Opis

Reguły

Otwiera okno dialogowe Włączanie lub wyłączanie reguł, które umożliwia określanie reguł dla operacji. Aby uzyskać więcej informacji, zobacz Okno dialogowe Włączanie lub wyłączanie reguł.

WhatIf

Umożliwia kliknięcie listy rozwijanej w celu wybrania wartości True lub False. Wartość True określa, że uruchomienie operacji nie spowoduje rzeczywistego wprowadzenia zmian. To ustawienie umożliwia zobaczenie wyników operacji w sytuacji, gdy wszystkie części operacji zakończą się pomyślnie. Wartość domyślna to False.

Uwaga

Wykonanie polecenia, którego działanie kończy się powodzeniem, gdy jest używane ustawienie WhatIf, może nie powieść się, jeśli to polecenie zostanie użyte bez ustawienia WhatIf. Może się tak zdarzyć, jeśli wystąpią nieoczekiwane błędy podczas operacji. Na przykład, gdy jest używane ustawienie WhatIf, nie są zapisywane dane, więc nie zostaną wykryte błędy związane z uprawnieniami do zapisu. Ustawienie WhatIf pokazuje tylko, co się stanie, jeśli wszystkie operacje wykonywane przez polecenie zakończą się pomyślnie.

Zobacz też

  • Strona Wybieranie zawartości pakietu
  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny


Okno dialogowe Włączanie lub wyłączanie reguł

Okno dialogowe Włączanie lub wyłączanie reguł służy do włączania i wyłączania reguł mających wpływ na wyniki operacji synchronizacji. Wybranie pozycji Stan z listy rozwijanej Grupuj według umożliwia grupowanie reguł w kategoriach reguł włączonych i wyłączonych, a wybranie pozycji Bez grupowania umożliwia wyświetlenie reguł w kolejności alfabetycznej.

Elementy interfejsu użytkownika

Nagłówki kolumn

Nazwa elementu | Opis
Nazwa | Wyświetla listę nazw reguł synchronizacji, które można włączyć lub wyłączyć. Reguły wyróżnione pogrubieniem są domyślnie włączone; reguły wyróżnione zacienionym tekstem są domyślnie wyłączone. Regułę można włączyć lub wyłączyć, zaznaczając regułę i używając przycisków Włącz regułę lub Wyłącz regułę. Aby uzyskać więcej informacji dotyczących tych reguł, zobacz Reguły narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).

Przyciski

Nazwa elementu | Opis
Włącz regułę | Włącza zaznaczoną regułę.
Wyłącz regułę | Wyłącza zaznaczoną regułę.

Zobacz też

  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny
  • Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny


Strona Wybieranie parametrów

Strona Wybieranie parametrów w Kreatorze eksportu pakietu aplikacji służy do dodawania parametrów do pakietu i usuwania ich. Podczas tworzenia pakietu można przypisać parametr do atrybutu. Później, gdy pakiet będzie instalowany, użytkownik będzie mógł określić wartość niestandardową dla parametru i ta nowa wartość zostanie przypisana do atrybutu. Parametry są generowane automatycznie dla każdego dostawcy.

Elementy interfejsu użytkownika

Nagłówki kolumn

Nazwa elementu | Opis
Nazwa | Wyświetla listę nazw parametrów, które zostały dodane przy użyciu okna dialogowego Dodawanie parametru. Parametr można edytować, klikając go dwukrotnie lub zaznaczając go i klikając przycisk Edytuj.
Typ | Wyświetla typ parametru dla parametryzowanego atrybutu.
Zakres | Wyświetla zakres dla parametryzowanego atrybutu.
Dopasowanie | Wyświetla wyrażenie dopasowania, które będzie określać parametryzowany atrybut.

Przyciski

Nazwa elementu Opis

Dodaj parametr

Otwiera okno dialogowe Dodawanie parametru. To okno dialogowe umożliwia dodanie parametru i ustawienie jego właściwości. Aby uzyskać więcej informacji, zobacz Okno dialogowe Dodawanie parametru lub Edytowanie parametru.

Dodaj wpis parametru

Otwiera okno dialogowe Dodawanie wpisu parametru. To okno dialogowe umożliwia skonfigurowanie wartości Typ, Zakres i Dopasowanie dla wybranego parametru. Aby uzyskać więcej informacji, zobacz Okno dialogowe Dodawanie wpisu parametru. Ta opcja jest włączana po wybraniu parametru lub wpisu parametru.

Edytuj

Jeśli jest zaznaczony parametr, ten przycisk otwiera okno dialogowe Edytowanie parametru. To okno dialogowe umożliwia edytowanie właściwości istniejącego parametru. Aby uzyskać więcej informacji, zobacz Okno dialogowe Dodawanie parametru lub Edytowanie parametru.

Jeśli jest zaznaczony wpis parametru, ten przycisk otwiera okno dialogowe Edytowanie wpisu parametru. Aby uzyskać więcej informacji, zobacz Okno dialogowe Edytowanie wpisu parametru.

Usuń

Usuwa zaznaczony parametr.

Przenieś w górę

Przenosi zaznaczony parametr w górę na liście parametrów. Parametry są przetwarzane w kolejności, w jakiej występują na liście.

Przenieś w dół

Przenosi zaznaczony parametr w dół na liście parametrów. Parametry są przetwarzane w kolejności, w jakiej występują na liście.

Zobacz też

  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny


Okno dialogowe Dodawanie parametru lub Edytowanie parametru

Okno dialogowe Dodawanie parametru lub Edytowanie parametru służy do dodawania nowego parametru dla pakietu aplikacji lub edytowania istniejącego parametru.

Elementy interfejsu użytkownika

Nazwa elementu Opis

Nazwa

Umożliwia wpisanie nazwy parametru. Na przykład Ciąg połączenia.

Wartość domyślna

Umożliwia wpisanie wartości domyślnej parametru. Gdy pakiet będzie później wdrażany, parametr przyjmie tę wartość, chyba że użytkownik określi inną wartość. Na przykład jeśli w polu Nazwa parametru wpisano wartość Ciąg połączenia, jako wartości domyślnej można użyć ciągu Data Source=.\SQLExpress;Database=Test;Integrated Security. Ten wpis nie jest wymagany.

Ważne

Jeśli ma być wymagane, aby użytkownik podał wartość parametru, nie należy określać wartości domyślnej.

Tagi

Umożliwia wpisanie listy rozdzielonych przecinkami atrybutów niestandardowych. Tagi to opcjonalne atrybuty parametru, do których można się później odwoływać. Na przykład parametr może być oznaczony tagiem hasła, przez co w interfejsie użytkownika nie będzie wyświetlana wartość hasła. Ten wpis nie jest wymagany. Kontynuując przykład dotyczący opisu elementu Wartość domyślna, można użyć tagów SQL, SQLConnectionString dla parametru Ciąg połączenia.

Opis

Umożliwia wprowadzenie opisu parametru. Na przykład „To jest ciąg połączenia z bazą danych, której używa aplikacja. Zmień go, jeśli w danym środowisku jest używany inny serwer lub baza danych SQL”. Opis zostanie umieszczony w pliku Parameters.xml wchodzącym w skład pakietu i będzie można wyświetlić go w wierszu polecenia, wpisując polecenie msdeploy -verb:getParameters -source:package=<NazwaPlikuPakietu>.

Typ

Opcjonalnie można wybrać typ sprawdzania poprawności parametru. Dozwolone wartości to Brak, Wyrażenie regularne, Wyliczenie i Wartość logiczna. Wartość domyślna to Brak. W przypadku wybrania typu sprawdzania poprawności parametru innego niż Brak wartość parametru podana przez użytkownika będzie sprawdzana pod kątem zgodności z określonymi warunkami. Po wybraniu typu Wyrażenie regularne lub Wyliczenie należy podać w polu Ciąg sprawdzania poprawności ciąg sprawdzania poprawności.

Ciąg sprawdzania poprawności

Umożliwia wpisanie wyrażenia regularnego lub listy rozdzielanych przecinkami wartości wyliczenia. Aby uzyskać więcej informacji dotyczących wyrażeń regularnych, zobacz Wyrażenia regularne (strona może zostać wyświetlona w języku angielskim).

Zobacz też

  • Strona Wybieranie parametrów
  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny


Okno dialogowe Dodawanie wpisu parametru

Okno dialogowe Dodawanie wpisu parametru służy do określania wartości Typ, Zakres i Dopasowanie parametru.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Typ | Lista rozwijana umożliwia wybranie typu parametru, który ma być używany dla parametryzowanego atrybutu. Dozwolone typy parametru to Plik XML, Plik tekstowy, Pozycja w pliku tekstowym, Ścieżka dostawcy, Atrybut wdrożenia, Powiązanie docelowe i Docelowy katalog wirtualny. Na przykład jeśli utworzono parametr Ciąg połączenia, można wybrać z listy rozwijanej typ Plik XML, ponieważ ciąg połączenia będzie znajdować się w pliku Web.config, który jest plikiem w formacie XML.
Zakres | Umożliwia wprowadzenie zakresu dla parametryzowanego atrybutu. Ta wartość musi być wyrażeniem regularnym. Na przykład jeśli typem parametru jest Xml File, jako zakresu można użyć wyrażenia regularnego \\web.config$. Pierwszy ukośnik odwrotny zmienia znaczenie drugiego ukośnika odwrotnego, a znak dolara ($) powoduje zatrzymanie dopasowywania ciągu na końcu wiersza. Dlatego wynikowym zakresem będzie „\web.config”. Aby uzyskać więcej informacji dotyczących wyrażeń regularnych, zobacz Wyrażenia regularne (strona może zostać wyświetlona w języku angielskim).
Dopasowanie | Umożliwia wpisanie wyrażenia, które będzie określać parametryzowany atrybut. Ta wartość jest zależna od typu. W niektórych przypadkach będzie to wyrażenie regularne, a w innych wyrażenie XPath. Typ Xml File wymaga, aby wartością dopasowania było wyrażenie XPath. W poprzednim przykładzie można by użyć wyrażenia XPath //connectionStrings/add/@connectionString, aby dopasować wpis ciągu połączenia znajdujący się w pliku Web.config.

Zobacz też

  • Strona Wybieranie parametrów
  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny


Okno dialogowe Edytowanie wpisu parametru

Okno dialogowe Edytowanie wpisu parametru służy do edytowania wartości Typ, Zakres i Dopasowanie parametru. Jeśli nie utworzono jeszcze parametru, zobacz Okno dialogowe Dodawanie parametru lub Edytowanie parametru.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Typ | Lista rozwijana umożliwia zmianę typu parametru. Dozwolone typy parametru to Plik XML, Plik tekstowy, Pozycja w pliku tekstowym, Ścieżka dostawcy, Atrybut wdrożenia, Powiązanie docelowe i Docelowy katalog wirtualny. Na przykład jeśli utworzono parametr Ciąg połączenia, można wybrać z listy rozwijanej typ Plik XML, ponieważ ciąg połączenia będzie znajdować się w pliku Web.config, który jest plikiem w formacie XML.
Zakres | Umożliwia edytowanie zakresu dla parametryzowanego atrybutu. Ta wartość musi być wyrażeniem regularnym. Na przykład jeśli typem parametru jest Plik XML, jako zakresu można użyć wyrażenia regularnego \\web.config$. Pierwszy ukośnik odwrotny zmienia znaczenie drugiego ukośnika odwrotnego, a znak dolara ($) powoduje zatrzymanie dopasowywania ciągu na końcu wiersza. Dlatego wynikowym zakresem będzie „\web.config”. Aby uzyskać więcej informacji dotyczących wyrażeń regularnych, zobacz Wyrażenia regularne (strona może zostać wyświetlona w języku angielskim).
Dopasowanie | Umożliwia edytowanie wyrażenia, które będzie określać parametryzowany atrybut. Ta wartość jest zależna od typu. W niektórych przypadkach będzie to wyrażenie regularne, a w innych wyrażenie XPath. Typ Xml File wymaga, aby wartością dopasowania było wyrażenie XPath. W poprzednim przykładzie można by użyć wyrażenia XPath //connectionStrings/add/@connectionString, aby dopasować wpis parametrów połączenia znajdujący się w pliku Web.config.

Zobacz też

  • Strona Wybieranie parametrów
  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny


Strona Zapisywanie pakietu

Strona Zapisywanie pakietu w Kreatorze eksportu pakietu aplikacji służy do określania nazwy i lokalizacji pliku, który będzie używany podczas zapisywania pakietu.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Ścieżka pakietu | Umożliwia wpisanie nazwy pliku pakietu. Nazwa pliku musi mieć rozszerzenie nazwy pliku zip.
Przeglądaj... | Kliknięcie przycisku Przeglądaj umożliwia określenie lokalizacji, w której ma zostać zapisany pakiet.

Zobacz też

  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny


Okno dialogowe Hasło szyfrowania

Okno dialogowe Hasło szyfrowania dostępne w Kreatorze eksportu pakietu aplikacji służy do podawania hasła dla zawartości pakietu, która ma ustawienia oznaczone jako zabezpieczone.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Hasło | Umożliwia wpisanie hasła, które będzie wymagane podczas późniejszego importowania pakietu. Jeśli użytkownik nie poda hasła dla ustawień oznaczonych jako zabezpieczone, nie będzie można wyeksportować pakietu.
Potwierdź hasło | Umożliwia ponowne wpisanie hasła w celu potwierdzenia.

Zobacz też

  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny


Strona Postęp i podsumowanie eksportu

Strona Postęp i podsumowanie eksportu w Kreatorze eksportu aplikacji służy do monitorowania stanu procesu eksportu oraz wyświetlania, po zakończeniu działania kreatora, sumarycznych i szczegółowych informacji dotyczących wykonanej operacji.

Elementy interfejsu użytkownika

Nazwa elementu Opis

Stan

W obszarze Stan jest wyświetlana aktualnie wykonywana operacja (na przykład operacja kopiowania pliku lub wykonywania skryptu bazy danych). W trakcie procesu eksportu może zostać wyświetlony monit o podanie hasła, jeśli aplikacja zawiera elementy, takie jak hasła lub certyfikaty, które wymagają szyfrowania. Należy pamiętać, że operacja eksportu może zająć dużo czasu w przypadku eksportowania dużych ilości danych lub eksportowania danych na serwer zdalny.

Podsumowanie

Zawiera przegląd wykonanych akcji, w tym błędy, które wystąpiły podczas procesu tworzenia.

Ważne

Na karcie Podsumowanie nie znajduje się pełna lista wykonanych akcji ani błędów, które wystąpiły. Z bardziej szczegółowymi informacjami można zapoznać się, klikając kartę Szczegóły.

Szczegóły

Zawiera szczegółową listę wykonanych akcji. Jeśli wystąpiły błędy, kliknięcie tej karty umożliwi wyświetlenie szczegółowych informacji o błędach, których będzie można użyć w celu rozwiązywania problemów.

Zobacz też

  • Strony Kreatora eksportu pakietu aplikacji albo Kreatora eksportu pakietu serwera lub witryny


Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny

Strona Wybieranie pakietu

Okno dialogowe Hasło odszyfrowywania

Strona Wybieranie zawartości pakietu

Okno dialogowe Ustawienia zaawansowane (Import)

Strona Wybieranie bazy danych

Strona Wprowadzanie informacji o pakiecie aplikacji

Strona Zastępowanie istniejących plików

Strona Postęp i podsumowanie instalacji


Strona Wybieranie pakietu

Strona Wybieranie pakietu służy do wybierania istniejącego pakietu, który ma zostać zainstalowany w witrynie lub na serwerze.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Ścieżka pakietu | Określa lokalizację pakietu, który ma zostać zainstalowany w witrynie lub na serwerze.
Przeglądaj... | Kliknięcie przycisku Przeglądaj umożliwia określenie lokalizacji pakietu, który ma zostać zaimportowany.

Zobacz też

  • Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny


Okno dialogowe Hasło odszyfrowywania

Okno dialogowe Hasło odszyfrowywania dostępne w Kreatorze importu pakietu aplikacji służy do podawania hasła dla zawartości pakietu, która ma ustawienia oznaczone jako zabezpieczone.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Hasło | Umożliwia wpisanie hasła wymaganego do odszyfrowania zawartości pakietu. Hasło jest wymagane, ponieważ podczas tworzenia pakietu niektóre ustawienia zostały oznaczone jako zabezpieczone. Jeśli użytkownik nie poda hasła określonego podczas tworzenia pakietu, nie będzie można zaimportować pakietu.

Zobacz też

  • Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny


Strona Wybieranie zawartości pakietu

Strona Wybieranie zawartości pakietu w Kreatorze importu pakietu aplikacji służy do wyświetlania składników wchodzących w skład pakietu wybranego na stronie Wybieranie pakietu.

Pakiety mogą zawierać składniki, takie jak ustawienia rejestru, obiekty modelu COM, zestawy GAC lub certyfikaty. Aby zainstalować te składniki na serwerze, użytkownik musi być członkiem grupy administratorów lub delegatem z odpowiednimi uprawnieniami. Do instalowania samej zawartości nie są wymagane prawa administratora.

Elementy interfejsu użytkownika

Nazwa elementu Opis

Zawartość pakietu

Wyświetla listę składników znajdujących się w pakiecie. Można określić, które składniki pakietu mają zostać wdrożone, zaznaczając lub czyszcząc pola wyboru obok odpowiednich składników. Na przykład można uwzględnić lub wykluczyć bazę danych SQL albo zestaw GAC, zaznaczając lub czyszcząc odpowiednie pole wyboru.

Przestroga

Niektóre składniki mogą być wymagane przez aplikację. Wyczyszczenie pól wyboru odpowiadających tym składnikom może spowodować, że zainstalowana aplikacja nie będzie działać poprawnie.

Zobacz też

  • Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny


Okno dialogowe Ustawienia zaawansowane (Import)

Okno dialogowe Ustawienia zaawansowane w Kreatorze importu pakietu aplikacji służy do określania ustawień pakietu.

Elementy interfejsu użytkownika

Opcje zaawansowane

Nazwa elementu Opis

Hasło odszyfrowywania

Otwiera okno dialogowe Hasło odszyfrowywania, w którym można wpisać hasło wymagane do odszyfrowania zawartości pakietu.

W trakcie operacji importu narzędzie do wdrażania w sieci Web automatycznie wykrywa, czy zaszyfrowany obiekt, taki jak pula aplikacji z tożsamością niestandardową, znajduje się w zawartych w pakiecie plikach konfiguracji na poziomie serwera (na przykład ApplicationHost.config lub Machine.config). Jeśli występuje zaszyfrowany obiekt, należy podać hasło dla tego obiektu. Gdy użytkownik nie określi poprawnego hasła, operacja importu nie powiedzie się.

Uwzględnij listy ACL

Należy wybrać opcję Prawda, jeśli listy ACL określonej ścieżki zostaną skopiowane z lokalizacji źródłowej do docelowej; w przeciwnym razie należy wybrać wartość Fałsz. To ustawienie dotyczy systemu plików, rejestru i metabazy oraz następujących dostawców: appHostConfig, contentPath, iisApp, metaKey, webServer i webServer60. Wartość domyślna to False.

Rozszerzenie łącza

Należy kliknąć pole z prawej strony, a następnie strzałkę, aby wyświetlić listę rozwijaną z rozszerzeniami łączy. Zaznaczenie lub wyczyszczenie rozszerzeń na liście umożliwia włączenie lub wyłączenie rozszerzeń łączy, które mają być stosowane do operacji. Rozszerzenia łączy powodują uwzględnienie w operacji lub wykluczenie z niej określonych rodzajów danych. Dostępne rozszerzenia narzędzia do wdrażania w sieci Web to AppPoolExtension, CertificateExtension, ContentExtension, FrameworkConfigExtension i HttpCertConfigExtension. Te rozszerzenia są zaznaczone domyślnie. Aby uzyskać więcej informacji dotyczących rozszerzeń łączy, zobacz Rozszerzenia łączy narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).

Liczba ponownych prób

Umożliwia wpisanie liczby ponownych prób podejmowanych przez dostawcę w przypadku niepowodzenia. Domyślna liczba ponownych prób to 5. Domyślnie każda ponowna próba jest podejmowana po upływie jednej sekundy. Ustawienia liczby ponownych prób można używać tylko z dostawcą contentPath.

Interwał ponownych prób

Umożliwia wpisanie wartości w milisekundach. Ta wartość będzie określać interwał czasu między ponownymi próbami podejmowanymi przez dostawcę. Wartość domyślna to 1000 (jedna sekunda). Tego ustawienia można używać tylko z dostawcą contentPath.

Poziom śledzenia

Umożliwia wybranie wartości z listy rozwijanej, która określa poziom szczegółowości dzienników komunikatów o błędach. Dozwolone wartości to Wyłączone, Błąd, Ostrzeżenie, Informacje i Pełne. Wartość domyślna to Informacje. Wartość Wyłączone oznacza, że nie będą rejestrowane komunikaty o błędach. Wartość Pełne oznacza, że będą rejestrowane wszystkie komunikaty.

Opcje synchronizacji

Nazwa elementu Opis

Reguły

Otwiera okno dialogowe Włączanie lub wyłączanie reguł, które umożliwia określanie reguł dla operacji. Aby uzyskać więcej informacji, zobacz Okno dialogowe Włączanie lub wyłączanie reguł.

WhatIf

Umożliwia kliknięcie listy rozwijanej w celu wybrania wartości True lub False. Wartość True określa, że uruchomienie operacji nie spowoduje rzeczywistego wprowadzenia zmian. To ustawienie umożliwia zobaczenie wyników operacji w sytuacji, gdy wszystkie części operacji zakończą się pomyślnie. Wartość domyślna to False.

Uwaga

Wykonanie polecenia, którego działanie kończy się powodzeniem, gdy jest używane ustawienie WhatIf, może nie powieść się, jeśli to polecenie zostanie użyte bez ustawienia WhatIf. Może się tak zdarzyć, jeśli wystąpią nieoczekiwane błędy podczas operacji. Na przykład, gdy jest używane ustawienie WhatIf, nie są zapisywane dane, więc nie zostaną wykryte błędy związane z uprawnieniami do zapisu. Ustawienie WhatIf pokazuje tylko, co się stanie, jeśli wszystkie operacje wykonywane przez polecenie zakończą się pomyślnie.

Zobacz też

  • Strona Wybieranie zawartości pakietu
  • Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny


Strona Wybieranie bazy danych

Strona Wybieranie bazy danych służy do wybierania opcji bazy danych, która ma być używana z instalowanym pakietem. Ta strona jest wyświetlana tylko wtedy, gdy w pakiecie są dostępne co najmniej dwa typy bazy danych.

Uwaga

Ta strona nie będzie też wyświetlana w sytuacji, gdy w pakiecie będą dostępne co najmniej dwa typy bazy danych, ale na stronie Wybieranie zawartości pakietu zaznaczono pole wyboru odpowiadające tylko jednemu typowi bazy danych.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Wybierz bazę danych, której chcesz używać | Umożliwia wybranie typu bazy danych dla instalacji. Dozwolone typy bazy danych to SQL, MySQL, VistaDB, SQLite, Plik prosty i Brak bazy danych. Wyświetlane opcje bazy danych są zależne od zawartości instalowanego pakietu. Dostawcy są skojarzeni tylko z opcjami SQL i MySQL. Aby uzyskać więcej informacji, zobacz Dostawca dbFullSql narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim) i Dostawca MySQL narzędzia do wdrażania w sieci Web (strona może zostać wyświetlona w języku angielskim).
Utwórz nową bazę danych lub użyj istniejącej | Wybranie opcji Utwórz nową bazę danych umożliwia utworzenie nowej bazy danych, a wybranie opcji Użyj istniejącej bazy danych umożliwia użycie istniejącej bazy danych. Ta opcja jest włączona tylko w przypadku wybrania typu bazy danych SQL lub MySQL.

Zobacz też

  • Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny
  • Strona Wprowadzanie informacji o pakiecie aplikacji


Strona Wprowadzanie informacji o pakiecie aplikacji

Strona Wprowadzanie informacji o pakiecie aplikacji w Kreatorze importu pakietu aplikacji służy do określania wartości parametrów zadeklarowanych w pakiecie. Każdy parametr będzie miał pole na tej stronie. Pola widoczne na stronie będą zależeć od parametrów zadeklarowanych w pakiecie.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
<Nazwa parametru> | Umożliwia określenie wartości parametru, który jest wymagany do zainstalowania pakietu. Te informacje mogą obejmować pełną ścieżkę witryny, w której ma zostać zainstalowana aplikacja, poświadczenia użytkownika lub nazwę bazy danych dla aplikacji. Na przykład można zmienić wartość ścieżki aplikacji, aby określić, gdzie ma zostać zainstalowana aplikacja, na przykład Domyślna witryna sieci Web/NowaAplikacja.

Zobacz też

  • Okno dialogowe Edytowanie ciągu połączenia


Okno dialogowe Edytowanie ciągu połączenia

Okno dialogowe Edytowanie ciągu połączenia służy do określania ciągu połączenia i poświadczeń, które mają być używane.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
SQL Server | Wybranie tej opcji umożliwia użycie określonego serwera programu SQL Server.
Serwer | Umożliwia wpisanie ścieżki lub ciągu połączenia z serwerem, który ma być używany (na przykład .\SQLExpress).
Baza danych | Umożliwia wpisanie nazwy bazy danych, która ma być używana (na przykład Test).
Użyj zintegrowanych zabezpieczeń systemu Windows | Wybranie tej opcji umożliwia użycie zintegrowanych zabezpieczeń systemu Windows. Zintegrowane zabezpieczenia systemu Windows przekazują poświadczenia użytkownika do programu ASP.NET bez wymagania ponownego uwierzytelniania, jeśli użytkownik jest już zalogowany do systemu Windows. Ta metoda uwierzytelniania sprawdza się najlepiej, jeśli klient i serwer znajdują się w tej samej domenie.
Określ poświadczenia | Wybranie tej opcji umożliwia użycie poświadczeń określonych przez użytkownika. Kliknięcie przycisku Ustaw powoduje otwarcie okna dialogowego Ustawianie poświadczeń, w którym można określić nazwę użytkownika i hasło.
Niestandardowe | Wybranie tej opcji umożliwia określenie niestandardowej ścieżki lub ciągu połączenia dla serwera, który ma być używany (na przykład Server=.\SQLExpress;Database=Test;Integrated Security=true).

Zobacz też

  • Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny
  • Strona Wprowadzanie informacji o pakiecie aplikacji


Strona Zastępowanie istniejących plików

Strona Zastępowanie istniejących plików służy do określania, że nowe pliki mają zostać dołączone do plików w lokalizacji docelowej albo że istniejące pliki mają zostać zastąpione, a pliki, które nie mają odpowiedników w pakiecie aplikacji, usunięte.

Elementy interfejsu użytkownika

Nazwa elementu | Opis
Nie, dołącz pliki z pakietu aplikacji do plików w lokalizacji docelowej. | Wybranie tej opcji umożliwia zachowanie istniejących plików w lokalizacji docelowej i dodanie nowych plików z pakietu aplikacji.
Tak, usuń z lokalizacji docelowej pliki i foldery, które nie znajdują się w pakiecie aplikacji. | Wybranie tej opcji umożliwia usunięcie z lokalizacji docelowej wszystkich plików, które nie znajdują się w pakiecie aplikacji.

Zobacz też

  • Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny


Strona Postęp i podsumowanie instalacji

Strona Postęp i podsumowanie instalacji służy do monitorowania stanu procesu importu oraz wyświetlania, po zakończeniu działania kreatora, sumarycznych i szczegółowych informacji dotyczących wykonanej operacji.

Elementy interfejsu użytkownika

Nazwa elementu Opis

Stan

W obszarze Stan jest wyświetlana aktualnie wykonywana operacja (na przykład operacja kopiowania pliku lub wykonywania skryptu bazy danych). W trakcie procesu importu może zostać wyświetlony monit o podanie hasła, jeśli aplikacja zawiera elementy, takie jak hasła lub certyfikaty, które wymagają odszyfrowania. Należy pamiętać, że operacja importu może zająć dużo czasu w przypadku importowania dużych ilości danych lub importowania danych z serwera zdalnego.

Podsumowanie

Zawiera przegląd wykonanych akcji, w tym błędy, które wystąpiły podczas procesu instalacji.

Ważne

Na karcie Podsumowanie nie znajduje się pełna lista wykonanych akcji ani błędów, które wystąpiły. Z bardziej szczegółowymi informacjami można zapoznać się, klikając kartę Szczegóły.

Szczegóły

Zawiera szczegółową listę wykonanych akcji. Jeśli wystąpiły błędy, kliknięcie tej karty umożliwi wyświetlenie szczegółowych informacji o błędach, których będzie można użyć w celu rozwiązywania problemów.

Zobacz też

  • Strony Kreatora importu pakietu aplikacji albo Kreatora importu pakietu serwera lub witryny